package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 超链接对象 hyperlink
 * 
 * @author boman
 * @date 2024-04-30
 */
public class Hyperlink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 超链接ID */
    private Long hyperlinkId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 地址 */
    @Excel(name = "地址")
    private String url;

    /** 类型 1:外部工具平台，2：出具合同 */
    @Excel(name = "类型 1:外部工具平台，2：出具合同")
    private String type;

    public void setHyperlinkId(Long hyperlinkId) 
    {
        this.hyperlinkId = hyperlinkId;
    }

    public Long getHyperlinkId() 
    {
        return hyperlinkId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hyperlinkId", getHyperlinkId())
            .append("name", getName())
            .append("url", getUrl())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
